Menu icon Foundation
foundation cli won't update from 6.3.1. to 6.4.1

Hi there, 

I started a project using the foundation cli, back then with foundation for sites 6.3.1. Now I would like to integrate the new xy-grid into my project and tried the "foundation update"command for this. However it tells me that there is nothing to update even though I know there is... What am I doing wrong?

cli

Hi there, 

I started a project using the foundation cli, back then with foundation for sites 6.3.1. Now I would like to integrate the new xy-grid into my project and tried the "foundation update"command for this. However it tells me that there is nothing to update even though I know there is... What am I doing wrong?

Rafi Benkual 4 months ago

In your package.json (no more bower in 6.4+) you should have this dependency set:

"author": "ZURB <foundation@zurb.com>",
  "license": "MIT",
  "dependencies": {
    "foundation-sites": "~6.4.1",
    "jquery": ">=3.0.0",
    "what-input": "^4.1.3",
    "motion-ui": "~1.2.2"
  },

Save, then run npm update

Max Rockbin 2 months ago

This would be more helpful if you clarified 

-Which package.json?  There are many in the my Foundation 6.4.1 project directory if I do a search.  Where is the one you are referring to?

 

-Why does this not use the Foundation CLI?  There is a Foundation update command.

Though when I run it it doesn't seem to do anything.

6.4.2 is supposed to be out according to Foundation twitter.  All I want to know is how to go from 6.4.1 -> 6.4.2

It seems like that should be at the top of your docs somewhere, but I'm not finding it. 

I tried running 

npm update

And coughed a hairball (lots of errors) after destroying the install of foundation in my project (recoverable, but annoying).

Thank You

Matthew Andrianakos 2 months ago

Yeah, I'm trying to DOWNGRADE using this method and it's throwing up errors as well.

Can you clarify Rafi?